package pcc.chemicraft.gen;

/**
 * 鉱石の出現頻度のEnumです。
 * @author mozipi
 */
public enum EnumOreSpawnFrequency {

	HIGH(10, 256),
	NORMAL(5, 64),
	LOW(3, 30),
	RARE(1, 15);

	/**
	 * 鉱石の生成頻度
	 */
	private short frequency;

	/**
	 * 鉱石の生成最高高度
	 */
	private short posY;

	/**
	 * @param par1 鉱石の生成頻度
	 */
	private EnumOreSpawnFrequency(int par1, int par2) {
		this.frequency = (short) par1;
		this.posY = (short) par2;
	}

	/**
	 * 鉱石の生成頻度を返します
	 * @return 鉱石の生成頻度
	 */
	public short getFrequency() {
		return this.frequency;
	}

	/**
	 * 鉱石の生成最高高度を変えします
	 * @return 鉱石の生成最高高度
	 */
	public short getPosY() {
		return this.posY;
	}


}
